petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorSolutionVTK

Monitors progress of the TS solvers by VecView() for the solution at each timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolutionVTK(TS ts,PetscInt step,PetscReal ptime,Vec u,void *filenametemplate)

Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| step | - current time-step Many br
| ptime | - current time Many br
| u | - current state Many br
| filenametemplate | - string containing a format specifier for the integer time step (e.g. %03D) Many br

Many br

### Notes

The VTK format does not allow writing multiple time steps in the same file, therefore a different file will be written for each time step. Many brThese are named according to the file name template. Many br

This function is normally passed as an argument to TSMonitorSet() along with TSMonitorSolutionVTKDestroy(). Many br

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages